local fSleepTime = THEME:GetMetric( Var "LoadingScreen","ScreenInDelay");

return Def.ActorFrame{
	Def.Quad{
		OnCommand=cmd(visible,0;sleep,fSleepTime);
	};
	Def.Quad{
		InitCommand=cmd(Center;zoomtoheight,SCREEN_HEIGHT+2;diffuse,color("#c71585");blend,'BlendMode_Add';);
		OnCommand=cmd(diffusealpha,1;zoomtowidth,0;linear,0.2;diffusealpha,0;;zoomtowidth,SCREEN_WIDTH+2;);
	};
};
